namespace MegaMappingway;

internal static class ListExt {
    public static void Shuffle<T>(this IList<T> list) {
        var n = list.Count;
        while (n > 1) {
            n--;
            var k = Random.Shared.Next(n + 1);
            (list[k], list[n]) = (list[n], list[k]);
        }
    }
}
