#[derive(Clone, Copy)]
pub struct TerritoryInfo {
    pub parties_visible: bool,
    pub map_visible: bool,
}

pub const TERRITORY_INFO: [TerritoryInfo; 1208] = [
    TerritoryInfo { parties_visible: false, map_visible: false }, // 0 - none
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1
    TerritoryInfo { parties_visible: false, map_visible: true }, // 2
    TerritoryInfo { parties_visible: false, map_visible: true }, // 3
    TerritoryInfo { parties_visible: false, map_visible: true }, // 4
    TerritoryInfo { parties_visible: false, map_visible: true }, // 5
    TerritoryInfo { parties_visible: false, map_visible: true }, // 6
    TerritoryInfo { parties_visible: false, map_visible: true }, // 7
    TerritoryInfo { parties_visible: false, map_visible: true }, // 8
    TerritoryInfo { parties_visible: false, map_visible: true }, // 9
    TerritoryInfo { parties_visible: false, map_visible: true }, // 10
    TerritoryInfo { parties_visible: false, map_visible: true }, // 11
    TerritoryInfo { parties_visible: false, map_visible: false }, // 12 - missing
    TerritoryInfo { parties_visible: false, map_visible: true }, // 13
    TerritoryInfo { parties_visible: false, map_visible: true }, // 14
    TerritoryInfo { parties_visible: false, map_visible: true }, // 15
    TerritoryInfo { parties_visible: false, map_visible: true }, // 16
    TerritoryInfo { parties_visible: false, map_visible: true }, // 17
    TerritoryInfo { parties_visible: false, map_visible: true }, // 18
    TerritoryInfo { parties_visible: false, map_visible: true }, // 19
    TerritoryInfo { parties_visible: false, map_visible: true }, // 20
    TerritoryInfo { parties_visible: false, map_visible: true }, // 21
    TerritoryInfo { parties_visible: false, map_visible: true }, // 22
    TerritoryInfo { parties_visible: false, map_visible: false }, // 23 - missing
    TerritoryInfo { parties_visible: false, map_visible: true }, // 24
    TerritoryInfo { parties_visible: false, map_visible: true }, // 25
    TerritoryInfo { parties_visible: false, map_visible: true }, // 26
    TerritoryInfo { parties_visible: false, map_visible: true }, // 27
    TerritoryInfo { parties_visible: false, map_visible: true }, // 28
    TerritoryInfo { parties_visible: false, map_visible: true }, // 29
    TerritoryInfo { parties_visible: false, map_visible: true }, // 30
    TerritoryInfo { parties_visible: false, map_visible: false }, // 31 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 32 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 33 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 34 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 35 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 36 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 37 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 38 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 39 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 40 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 41 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 42 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 43 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 44 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 45 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 46 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 47 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 48 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 49 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 50 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 51 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 52 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 53 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 54 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 55 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 56 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 57 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 58 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 59 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 60 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 61 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 62 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 63 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 64 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 65 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 66 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 67 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 68 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 69 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 70 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 71 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 72 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 73 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 74 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 75 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 76 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 77 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 78 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 79 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 80 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 81 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 82 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 83 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 84 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 85 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 86 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 87 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 88 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 89 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 90 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 91 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 92 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 93 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 94 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 95 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 96 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 97 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 98 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 99 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 100 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 101 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 102 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 103 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 104 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 105 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 106 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 107 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 108 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 109 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 110 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 111 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 112 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 113 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 114 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 115 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 116 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 117 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 118 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 119 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 120 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 121 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 122 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 123 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 124 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 125 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 126 - missing
    TerritoryInfo { parties_visible: false, map_visible: false }, // 127 - missing
    TerritoryInfo { parties_visible: false, map_visible: true }, // 128 - Limsa Lominsa Upper Decks
    TerritoryInfo { parties_visible: false, map_visible: true }, // 129 - Limsa Lominsa Lower Decks
    TerritoryInfo { parties_visible: false, map_visible: true }, // 130 - Ul'dah - Steps of Nald
    TerritoryInfo { parties_visible: false, map_visible: true }, // 131 - Ul'dah - Steps of Thal
    TerritoryInfo { parties_visible: false, map_visible: true }, // 132 - New Gridania
    TerritoryInfo { parties_visible: false, map_visible: true }, // 133 - Old Gridania
    TerritoryInfo { parties_visible: false, map_visible: true }, // 134 - Middle La Noscea
    TerritoryInfo { parties_visible: false, map_visible: true }, // 135 - Lower La Noscea
    TerritoryInfo { parties_visible: false, map_visible: true }, // 136 - Mist
    TerritoryInfo { parties_visible: false, map_visible: true }, // 137 - Eastern La Noscea
    TerritoryInfo { parties_visible: false, map_visible: true }, // 138 - Western La Noscea
    TerritoryInfo { parties_visible: false, map_visible: true }, // 139 - Upper La Noscea
    TerritoryInfo { parties_visible: false, map_visible: true }, // 140 - Western Thanalan
    TerritoryInfo { parties_visible: false, map_visible: true }, // 141 - Central Thanalan
    TerritoryInfo { parties_visible: true, map_visible: true }, // 142 - Halatali (Trials: The Dragon's Neck)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 143
    TerritoryInfo { parties_visible: false, map_visible: true }, // 144 - The Gold Saucer
    TerritoryInfo { parties_visible: false, map_visible: true }, // 145 - Eastern Thanalan
    TerritoryInfo { parties_visible: false, map_visible: true }, // 146 - Southern Thanalan
    TerritoryInfo { parties_visible: false, map_visible: true }, // 147 - Northern Thanalan
    TerritoryInfo { parties_visible: false, map_visible: true }, // 148 - Central Shroud
    TerritoryInfo { parties_visible: false, map_visible: false }, // 149 - The Feasting Grounds (Instance)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 150
    TerritoryInfo { parties_visible: true, map_visible: true }, // 151 - The World of Darkness (Raids: The World of Darkness)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 152 - East Shroud
    TerritoryInfo { parties_visible: false, map_visible: true }, // 153 - South Shroud
    TerritoryInfo { parties_visible: false, map_visible: true }, // 154 - North Shroud
    TerritoryInfo { parties_visible: false, map_visible: true }, // 155 - Coerthas Central Highlands
    TerritoryInfo { parties_visible: false, map_visible: true }, // 156 - Mor Dhona
    TerritoryInfo { parties_visible: false, map_visible: true }, // 157
    TerritoryInfo { parties_visible: false, map_visible: true }, // 158
    TerritoryInfo { parties_visible: true, map_visible: true }, // 159 - The Wanderer's Palace (Dungeons: The Wanderer's Palace)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 160 - Pharos Sirius (Dungeons: Pharos Sirius)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 161
    TerritoryInfo { parties_visible: true, map_visible: true }, // 162 - Halatali (Dungeons: Halatali)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 163 - The Sunken Temple of Qarn (Dungeons: The Sunken Temple of Qarn)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 164
    TerritoryInfo { parties_visible: false, map_visible: false }, // 165 - missing
    TerritoryInfo { parties_visible: false, map_visible: true }, // 166
    TerritoryInfo { parties_visible: true, map_visible: true }, // 167 - Amdapor Keep (Dungeons: Amdapor Keep)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 168
    TerritoryInfo { parties_visible: false, map_visible: true }, // 169
    TerritoryInfo { parties_visible: true, map_visible: true }, // 170 - Cutter's Cry (Dungeons: Cutter's Cry)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 171 - Dzemael Darkhold (Dungeons: Dzemael Darkhold)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 172 - Aurum Vale (Dungeons: The Aurum Vale)
    TerritoryInfo { parties_visible: false, map_visible: false }, // 173 - missing
    TerritoryInfo { parties_visible: true, map_visible: true }, // 174 - Labyrinth of the Ancients (Raids: The Labyrinth of the Ancients)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 175
    TerritoryInfo { parties_visible: false, map_visible: true }, // 176 - Mordion Gaol
    TerritoryInfo { parties_visible: false, map_visible: true }, // 177 - Mizzenmast Inn
    TerritoryInfo { parties_visible: false, map_visible: true }, // 178 - The Hourglass
    TerritoryInfo { parties_visible: false, map_visible: true }, // 179 - The Roost
    TerritoryInfo { parties_visible: false, map_visible: true }, // 180 - Outer La Noscea
    TerritoryInfo { parties_visible: false, map_visible: true }, // 181 - Limsa Lominsa
    TerritoryInfo { parties_visible: false, map_visible: true }, // 182 - Ul'dah - Steps of Nald
    TerritoryInfo { parties_visible: false, map_visible: true }, // 183 - New Gridania
    TerritoryInfo { parties_visible: false, map_visible: true }, // 184
    TerritoryInfo { parties_visible: false, map_visible: true }, // 185
    TerritoryInfo { parties_visible: false, map_visible: true }, // 186
    TerritoryInfo { parties_visible: false, map_visible: true }, // 187
    TerritoryInfo { parties_visible: true, map_visible: true }, // 188 - The Wanderer's Palace (Dungeons: The Wanderer's Palace (Hard))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 189 - Amdapor Keep (Dungeons: Amdapor Keep (Hard))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 190 - Central Shroud (Guildhests: Under the Armor)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 191 - East Shroud (Guildhests: Pulling Poison Posies)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 192 - South Shroud (Guildhests: Stinging Back)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 193 - IC-06 Central Decks (Raids: The Final Coil of Bahamut - Turn 1)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 194 - IC-06 Regeneration Grid (Raids: The Final Coil of Bahamut - Turn 2)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 195 - IC-06 Main Bridge (Raids: The Final Coil of Bahamut - Turn 3)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 196 - The Burning Heart (Raids: The Final Coil of Bahamut - Turn 4)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 197
    TerritoryInfo { parties_visible: false, map_visible: true }, // 198 - Command Room
    TerritoryInfo { parties_visible: false, map_visible: true }, // 199
    TerritoryInfo { parties_visible: false, map_visible: true }, // 200
    TerritoryInfo { parties_visible: false, map_visible: true }, // 201
    TerritoryInfo { parties_visible: false, map_visible: true }, // 202
    TerritoryInfo { parties_visible: false, map_visible: true }, // 203
    TerritoryInfo { parties_visible: false, map_visible: true }, // 204 - Seat of the First Bow
    TerritoryInfo { parties_visible: false, map_visible: true }, // 205 - Lotus Stand
    TerritoryInfo { parties_visible: false, map_visible: true }, // 206
    TerritoryInfo { parties_visible: false, map_visible: true }, // 207
    TerritoryInfo { parties_visible: false, map_visible: true }, // 208
    TerritoryInfo { parties_visible: false, map_visible: true }, // 209
    TerritoryInfo { parties_visible: false, map_visible: true }, // 210 - Heart of the Sworn
    TerritoryInfo { parties_visible: false, map_visible: true }, // 211
    TerritoryInfo { parties_visible: false, map_visible: true }, // 212 - The Waking Sands
    TerritoryInfo { parties_visible: false, map_visible: true }, // 213
    TerritoryInfo { parties_visible: true, map_visible: true }, // 214 - Middle La Noscea (Guildhests: Basic Training: Enemy Parties)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 215 - Western Thanalan (Guildhests: Basic Training: Enemy Strongholds)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 216 - Central Thanalan (Guildhests: Hero on the Half Shell)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 217
    TerritoryInfo { parties_visible: false, map_visible: true }, // 218
    TerritoryInfo { parties_visible: true, map_visible: true }, // 219 - Central Shroud (Guildhests: Flicking Sticks and Taking Names)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 220 - South Shroud (Guildhests: All's Well that Ends in the Well)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 221 - Upper La Noscea (Guildhests: More than a Feeler)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 222 - Lower La Noscea (Guildhests: Annoy the Void)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 223 - Coerthas Central Highlands (Guildhests: Shadow and Claw)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 224
    TerritoryInfo { parties_visible: true, map_visible: true }, // 225 - Central Shroud (Quest Battles: Spirithold Broken)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 226 - Central Shroud (Quest Battles: To Guard a Guardian)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 227 - Central Shroud (Quest Battles: Leia's Legacy)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 228 - North Shroud (Quest Battles: Violators Will Be Shot)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 229 - South Shroud (Quest Battles: To Catch a Poacher)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 230 - Central Shroud (Quest Battles: Homecoming)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 231 - South Shroud (Quest Battles: The One That Got Away)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 232 - South Shroud
    TerritoryInfo { parties_visible: true, map_visible: true }, // 233 - Central Shroud (Quest Battles: Chasing Shadows)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 234 - East Shroud (Quest Battles: Trial by Water)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 235 - South Shroud (Quest Battles: In Nature's Embrace)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 236 - South Shroud (Quest Battles: The One That Got Away)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 237 - Central Shroud (Quest Battles: A Dangerous Proposition)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 238 - Old Gridania (Quest Battles: Lance of Destiny)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 239 - Central Shroud (Quest Battles: Proof of Might)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 240 - North Shroud (Quest Battles: Proof of Might)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 241 - Upper Aetheroacoustic Exploratory Site (Raids: The Binding Coil of Bahamut - Turn 1)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 242 - Lower Aetheroacoustic Exploratory Site (Raids: The Binding Coil of Bahamut - Turn 2)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 243 - The Ragnarok (Raids: The Binding Coil of Bahamut - Turn 3)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 244 - Ragnarok Drive Cylinder (Raids: The Binding Coil of Bahamut - Turn 4)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 245 - Ragnarok Central Core (Raids: The Binding Coil of Bahamut - Turn 5)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 246 - IC-04 Main Bridge
    TerritoryInfo { parties_visible: false, map_visible: true }, // 247 - Ragnarok Main Bridge
    TerritoryInfo { parties_visible: true, map_visible: true }, // 248 - Central Thanalan (Quest Battles: Way Down in the Hole)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 249 - Lower La Noscea (Quest Battles: Victory in Peril)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 250 - Wolves' Den Pier
    TerritoryInfo { parties_visible: true, map_visible: true }, // 251 - Ul'dah - Steps of Nald (Quest Battles: Return of the Holyfist)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 252 - Middle La Noscea (Quest Battles: Lurkers in the Grotto)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 253 - Central Thanalan
    TerritoryInfo { parties_visible: true, map_visible: true }, // 254 - Ul'dah - Steps of Nald (Quest Battles: That Old Familiar Feeling)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 255 - Western Thanalan (Quest Battles: The Face of Thal)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 256 - Eastern Thanalan (Quest Battles: On Holy Ground)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 257 - Eastern Thanalan (Quest Battles: The Rematch)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 258 - Central Thanalan (Quest Battles: The Spirit Is Willing)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 259 - Ul'dah - Steps of Nald (Quest Battles: Keeping the Spirit Alive)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 260 - Southern Thanalan (Quest Battles: Star-crossed Rivals)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 261 - Southern Thanalan (Quest Battles: Return of the Holyfist)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 262 - Lower La Noscea (Quest Battles: Axe in the Stone)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 263 - Western La Noscea (Quest Battles: The Mountain That Strides)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 264 - Lower La Noscea (Quest Battles: Bleeder of the Pack)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 265 - Lower La Noscea (Quest Battles: Bringing Down the Mountain)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 266 - Eastern Thanalan (Quest Battles: The Threat of Superiority)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 267 - Western Thanalan (Quest Battles: The Threat of Perplexity)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 268 - Eastern Thanalan (Quest Battles: The Hidden Chapter)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 269 - Western Thanalan (Quest Battles: Facing Your Demons)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 270 - Central Thanalan (Quest Battles: Underneath the Sultantree)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 271 - Central Thanalan (Quest Battles: Duty, Honor, Country)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 272 - Middle La Noscea (Quest Battles: Just Deserts)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 273 - Western Thanalan (Quest Battles: Oh Captain, My Captain)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 274 - Ul'dah - Steps of Nald (Quest Battles: Into a Copper Hell)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 275 - Eastern Thanalan (Quest Battles: Lord of the Inferno)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 276 - Hall of Summoning
    TerritoryInfo { parties_visible: true, map_visible: true }, // 277 - East Shroud (Quest Battles: The Company You Keep (Twin Adder))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 278 - Western Thanalan (Quest Battles: The Company You Keep (Immortal Flames))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 279 - Lower La Noscea (Quest Battles: The Company You Keep (Maelstrom))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 280 - Western La Noscea (Quest Battles: Feint and Strike)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 281 - The Whorleater (Trials: The Whorleater (Hard))
    TerritoryInfo { parties_visible: false, map_visible: true }, // 282 - Private Cottage - Mist
    TerritoryInfo { parties_visible: false, map_visible: true }, // 283 - Private House - Mist
    TerritoryInfo { parties_visible: false, map_visible: true }, // 284 - Private Mansion - Mist
    TerritoryInfo { parties_visible: true, map_visible: true }, // 285 - Middle La Noscea
    TerritoryInfo { parties_visible: true, map_visible: true }, // 286 - Rhotano Sea (Quest Battles: Over the Rails)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 287 - Lower La Noscea (Quest Battles: Pincer Maneuver)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 288 - Rhotano Sea (Quest Battles: Sinking Doesmaga)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 289 - East Shroud
    TerritoryInfo { parties_visible: true, map_visible: true }, // 290 - East Shroud (Quest Battles: Lance of Destiny)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 291 - South Shroud (Quest Battles: Like Mother, Like Daughter)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 292 - Bowl of Embers (Trials: The Bowl of Embers (Hard))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 293 - The Navel (Trials: The Navel (Hard))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 294 - The Howling Eye (Trials: The Howling Eye (Hard))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 295 - Bowl of Embers (Trials: The Bowl of Embers (Extreme))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 296 - The Navel (Trials: The Navel (Extreme))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 297 - The Howling Eye (Trials: The Howling Eye (Extreme))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 298 - Coerthas Central Highlands (Guildhests: Long Live the Queen)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 299 - Mor Dhona (Guildhests: Ward Up)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 300 - Mor Dhona (Guildhests: Solemn Trinity)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 301 - Coerthas Central Highlands (Quest Battles: In the Eyes of Gods and Men)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 302 - Coerthas Central Highlands (Quest Battles: The Heretic among Us)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 303 - East Shroud (Quest Battles: Brotherly Love)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 304 - Coerthas Central Highlands (Quest Battles: Notorious Biggs)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 305 - Mor Dhona (Quest Battles: Escape from Castrum Centri)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 306 - Southern Thanalan (Quest Battles: Big Trouble in Little Ala Mhigo)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 307 - Lower La Noscea (Quest Battles: The Lominsan Way)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 308 - Mor Dhona (Quest Battles: Fool Me Twice)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 309 - Mor Dhona (Quest Battles: Every Little Thing She Does Is Magitek)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 310 - Eastern La Noscea (Quest Battles: Pride and Duty (Will Take You from the Mountain))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 311 - Eastern La Noscea (Quest Battles: How to Quit You)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 312 - Southern Thanalan (Quest Battles: Parley in the Sagolii)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 313 - Coerthas Central Highlands (Quest Battles: Keeping the Oath)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 314 - Central Thanalan (Quest Battles: Brother from Another Mother)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 315 - Mor Dhona (Quest Battles: Five Easy Pieces)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 316 - Coerthas Central Highlands (Quest Battles: Into the Dragon's Maw)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 317 - South Shroud (Quest Battles: The Voidgate Breathes Gloomy)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 318 - Southern Thanalan (Quest Battles: Always Bet on Black)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 319 - Central Shroud (Quest Battles: Seer Folly)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 320 - Central Shroud (Quest Battles: Heart of the Forest)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 321 - North Shroud (Quest Battles: Doing It the Bard Way)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 322 - Coerthas Central Highlands (Quest Battles: Requiem for the Fallen)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 323 - Southern Thanalan (Quest Battles: Austerities of Flame)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 324 - North Shroud (Quest Battles: Austerities of Earth)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 325 - Outer La Noscea (Quest Battles: Austerities of Wind)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 326 - Mor Dhona (Quest Battles: Primal Burdens)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 327 - Eastern La Noscea (Quest Battles: Forgotten but Not Gone)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 328 - Upper La Noscea (Quest Battles: The Consequences of Anger)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 329 - The Wanderer's Palace (Quest Battles: The Beast Within)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 330 - Western La Noscea (Quest Battles: History Repeating)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 331 - The Howling Eye
    TerritoryInfo { parties_visible: false, map_visible: true }, // 332
    TerritoryInfo { parties_visible: false, map_visible: true }, // 333
    TerritoryInfo { parties_visible: false, map_visible: true }, // 334
    TerritoryInfo { parties_visible: false, map_visible: true }, // 335 - Mor Dhona
    TerritoryInfo { parties_visible: false, map_visible: true }, // 336
    TerritoryInfo { parties_visible: false, map_visible: true }, // 337
    TerritoryInfo { parties_visible: false, map_visible: true }, // 338 - Eorzean Subterrane
    TerritoryInfo { parties_visible: false, map_visible: true }, // 339 - Mist
    TerritoryInfo { parties_visible: false, map_visible: true }, // 340 - The Lavender Beds
    TerritoryInfo { parties_visible: false, map_visible: true }, // 341 - The Goblet
    TerritoryInfo { parties_visible: false, map_visible: true }, // 342 - Private Cottage - The Lavender Beds
    TerritoryInfo { parties_visible: false, map_visible: true }, // 343 - Private House - The Lavender Beds
    TerritoryInfo { parties_visible: false, map_visible: true }, // 344 - Private Mansion - The Lavender Beds
    TerritoryInfo { parties_visible: false, map_visible: true }, // 345 - Private Cottage - The Goblet
    TerritoryInfo { parties_visible: false, map_visible: true }, // 346 - Private House - The Goblet
    TerritoryInfo { parties_visible: false, map_visible: true }, // 347 - Private Mansion - The Goblet
    TerritoryInfo { parties_visible: true, map_visible: true }, // 348 - Porta Decumana (Trials: The Minstrel's Ballad: Ultima's Bane)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 349 - Copperbell Mines (Dungeons: Copperbell Mines (Hard))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 350 - Haukke Manor (Dungeons: Haukke Manor (Hard))
    TerritoryInfo { parties_visible: false, map_visible: true }, // 351 - The Rising Stones
    TerritoryInfo { parties_visible: false, map_visible: true }, // 352
    TerritoryInfo { parties_visible: true, map_visible: true }, // 353 - Kugane Ohashi (Trials: Special Event I)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 354 - The Dancing Plague (Trials: Special Event II)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 355 - Dalamud's Shadow (Raids: The Second Coil of Bahamut - Turn 1)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 356 - The Outer Coil (Raids: The Second Coil of Bahamut - Turn 2)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 357 - Central Decks (Raids: The Second Coil of Bahamut - Turn 3)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 358 - The Holocharts (Raids: The Second Coil of Bahamut - Turn 4)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 359 - The Whorleater (Trials: The Whorleater (Extreme))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 360 - Halatali (Dungeons: Halatali (Hard))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 361 - Hullbreaker Isle (Dungeons: Hullbreaker Isle)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 362 - Brayflox's Longstop (Dungeons: Brayflox's Longstop (Hard))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 363 - The Lost City of Amdapor (Dungeons: The Lost City of Amdapor)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 364 - Thornmarch (Trials: Thornmarch (Extreme))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 365 - Stone Vigil (Dungeons: The Stone Vigil (Hard))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 366 - Griffin Crossing (Trials: Battle on the Big Bridge)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 367 - The Sunken Temple of Qarn (Dungeons: The Sunken Temple of Qarn (Hard))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 368 - The Weeping Saint (Trials: A Relic Reborn: the Chimera)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 369 - Hall of the Bestiarii (Trials: A Relic Reborn: the Hydra)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 370 - Main Bridge
    TerritoryInfo { parties_visible: false, map_visible: true }, // 371
    TerritoryInfo { parties_visible: true, map_visible: true }, // 372 - Syrcus Tower (Raids: Syrcus Tower)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 373 - The Tam-Tara Deepcroft (Dungeons: The Tam-Tara Deepcroft (Hard))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 374 - The Striking Tree (Trials: The Striking Tree (Hard))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 375 - The Striking Tree (Trials: The Striking Tree (Extreme))
    TerritoryInfo { parties_visible: false, map_visible: false }, // 376 - Carteneau Flats: Borderland Ruins (PvP: The Borderland Ruins (Secure))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 377 - Akh Afah Amphitheatre (Trials: The Akh Afah Amphitheatre (Hard))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 378 - Akh Afah Amphitheatre (Trials: The Akh Afah Amphitheatre (Extreme))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 379 - Mor Dhona (Quest Battles: Guardian of Eorzea)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 380 - Dalamud's Shadow (Raids: The Second Coil of Bahamut (Savage) - Turn 1)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 381 - The Outer Coil (Raids: The Second Coil of Bahamut (Savage) - Turn 2)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 382 - Central Decks (Raids: The Second Coil of Bahamut (Savage) - Turn 3)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 383 - The Holocharts (Raids: The Second Coil of Bahamut (Savage) - Turn 4)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 384 - Private Chambers - Mist
    TerritoryInfo { parties_visible: false, map_visible: true }, // 385 - Private Chambers - The Lavender Beds
    TerritoryInfo { parties_visible: false, map_visible: true }, // 386 - Private Chambers - The Goblet
    TerritoryInfo { parties_visible: true, map_visible: true }, // 387 - Sastasha (Dungeons: Sastasha (Hard))
    TerritoryInfo { parties_visible: false, map_visible: true }, // 388 - Chocobo Square
    TerritoryInfo { parties_visible: false, map_visible: true }, // 389 - Chocobo Square
    TerritoryInfo { parties_visible: false, map_visible: true }, // 390 - Chocobo Square
    TerritoryInfo { parties_visible: false, map_visible: true }, // 391 - Chocobo Square
    TerritoryInfo { parties_visible: false, map_visible: true }, // 392 - Sanctum of the Twelve
    TerritoryInfo { parties_visible: false, map_visible: true }, // 393 - Sanctum of the Twelve
    TerritoryInfo { parties_visible: true, map_visible: true }, // 394 - South Shroud (Trials: Urth's Fount)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 395 - Intercessory
    TerritoryInfo { parties_visible: true, map_visible: true }, // 396 - Amdapor Keep (Trials: Battle in the Big Keep)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 397 - Coerthas Western Highlands
    TerritoryInfo { parties_visible: false, map_visible: true }, // 398 - The Dravanian Forelands
    TerritoryInfo { parties_visible: false, map_visible: true }, // 399 - The Dravanian Hinterlands
    TerritoryInfo { parties_visible: false, map_visible: true }, // 400 - The Churning Mists
    TerritoryInfo { parties_visible: false, map_visible: true }, // 401 - The Sea of Clouds
    TerritoryInfo { parties_visible: false, map_visible: true }, // 402 - Azys Lla
    TerritoryInfo { parties_visible: true, map_visible: true }, // 403 - Ala Mhigo (Quest Battles: Return of the Bull)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 404 - Limsa Lominsa Lower Decks (Quest Battles: Stray into the Shadows)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 405 - Western La Noscea (Quest Battles: Stifled Screams)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 406 - Western La Noscea (Quest Battles: Slave to the Code)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 407 - Rhotano Sea (Quest Battles: Grinners in the Mist)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 408 - Eastern La Noscea (Quest Battles: Sweet Sorrows)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 409 - Limsa Lominsa Upper Decks (Quest Battles: Cloying Victory)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 410 - Northern Thanalan (Quest Battles: The Reason Roaille)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 411 - Eastern La Noscea (Quest Battles: My First Mudra)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 412 - Upper La Noscea (Quest Battles: Once Upon a Time in Doma)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 413 - Western La Noscea (Quest Battles: Ninja Bathin')
    TerritoryInfo { parties_visible: true, map_visible: true }, // 414 - Eastern La Noscea (Quest Battles: The Crow Knows)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 415 - Lower La Noscea (Quest Battles: Master and Student)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 416
    TerritoryInfo { parties_visible: false, map_visible: true }, // 417 - Chocobo Square
    TerritoryInfo { parties_visible: false, map_visible: true }, // 418 - Foundation
    TerritoryInfo { parties_visible: false, map_visible: true }, // 419 - The Pillars
    TerritoryInfo { parties_visible: true, map_visible: true }, // 420 - Neverreap (Dungeons: Neverreap)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 421
    TerritoryInfo { parties_visible: false, map_visible: true }, // 422
    TerritoryInfo { parties_visible: false, map_visible: true }, // 423 - Company Workshop - Mist
    TerritoryInfo { parties_visible: false, map_visible: true }, // 424 - Company Workshop - The Goblet
    TerritoryInfo { parties_visible: false, map_visible: true }, // 425 - Company Workshop - The Lavender Beds
    TerritoryInfo { parties_visible: true, map_visible: true }, // 426 - The Chrysalis (Trials: The Chrysalis)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 427 - Saint Endalim's Scholasticate
    TerritoryInfo { parties_visible: false, map_visible: true }, // 428 - Seat of the Lord Commander
    TerritoryInfo { parties_visible: false, map_visible: true }, // 429 - Cloud Nine
    TerritoryInfo { parties_visible: true, map_visible: true }, // 430 - The Fractal Continuum (Dungeons: The Fractal Continuum)
    TerritoryInfo { parties_visible: false, map_visible: false }, // 431 - Seal Rock (PvP: Seal Rock (Seize))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 432 - Thok ast Thok (Trials: Thok ast Thok (Hard))
    TerritoryInfo { parties_visible: false, map_visible: true }, // 433 - Fortemps Manor
    TerritoryInfo { parties_visible: true, map_visible: true }, // 434 - Dusk Vigil (Dungeons: The Dusk Vigil)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 435
    TerritoryInfo { parties_visible: true, map_visible: true }, // 436 - The Limitless Blue (Trials: The Limitless Blue (Hard))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 437 - Singularity Reactor (Trials: The Singularity Reactor)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 438
    TerritoryInfo { parties_visible: false, map_visible: true }, // 439 - The Lightfeather Proving Grounds
    TerritoryInfo { parties_visible: false, map_visible: true }, // 440 - Ruling Chamber
    TerritoryInfo { parties_visible: false, map_visible: true }, // 441
    TerritoryInfo { parties_visible: true, map_visible: true }, // 442 - The Fist of the Father (Raids: Alexander - The Fist of the Father)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 443 - The Cuff of the Father (Raids: Alexander - The Cuff of the Father)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 444 - The Arm of the Father (Raids: Alexander - The Arm of the Father)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 445 - The Burden of the Father (Raids: Alexander - The Burden of the Father)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 446 - Thok ast Thok (Trials: Thok ast Thok (Extreme))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 447 - The Limitless Blue (Trials: The Limitless Blue (Extreme))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 448 - Singularity Reactor (Trials: The Minstrel's Ballad: Thordan's Reign)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 449 - The Fist of the Father (Raids: Alexander - The Fist of the Father (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 450 - The Cuff of the Father (Raids: Alexander - The Cuff of the Father (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 451 - The Arm of the Father (Raids: Alexander - The Arm of the Father (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 452 - The Burden of the Father (Raids: Alexander - The Burden of the Father (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 453 - Western La Noscea (Quest Battles: And My Axe)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 454 - Upper La Noscea (Quest Battles: Forward, the Royal Marines)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 455 - The Sea of Clouds (Quest Battles: A Series of Unfortunate Events)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 456 - Ruling Chamber (Quest Battles: Divine Intervention)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 457 - Akh Afah Amphitheatre (Quest Battles: Sounding Out the Amphitheatre)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 458 - Foundation (Quest Battles: Fire and Blood)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 459 - Azys Lla (Quest Battles: Close Encounters of the VIth Kind)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 460 - Halatali (Quest Battles: Keeping the Flame Alive)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 461 - The Sea of Clouds (Quest Battles: Familiar Faces)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 462 - Sacrificial Chamber
    TerritoryInfo { parties_visible: false, map_visible: true }, // 463 - Matoya's Cave
    TerritoryInfo { parties_visible: true, map_visible: true }, // 464 - The Dravanian Forelands (Quest Battles: Hands of Healing)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 465 - Eastern Thanalan (Quest Battles: The Defiant Ones)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 466 - Upper La Noscea (Quest Battles: Quarantine)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 467 - Coerthas Western Highlands (Quest Battles: Destruction in the Name of Justice)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 468 - Coerthas Central Highlands (Quest Battles: Duty and the Beast)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 469 - Coerthas Central Highlands (Quest Battles: A Journey of Purification)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 470 - Coerthas Western Highlands (Quest Battles: Sworn Upon a Lance)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 471 - Eastern La Noscea (Quest Battles: Blood on the Sands)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 472 - Coerthas Western Highlands (Quest Battles: A Joye-ful Reunion)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 473 - South Shroud (Quest Battles: Fortune Favors the Bole)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 474 - Limsa Lominsa Upper Decks (Quest Battles: Slings and Arrows)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 475 - Coerthas Central Highlands (Quest Battles: Spearheading Initiatives)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 476 - The Dravanian Hinterlands (Quest Battles: The Hands of Fate)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 477 - Coerthas Western Highlands (Quest Battles: Dragoon's Fate)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 478 - Idyllshire
    TerritoryInfo { parties_visible: true, map_visible: true }, // 479 - Coerthas Western Highlands (Quest Battles: At the End of Our Hope)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 480 - Mor Dhona (Quest Battles: Ewer Right)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 481 - The Dravanian Forelands (Quest Battles: Feather in the Cap)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 482 - The Dravanian Forelands (Quest Battles: When Gnaths Cry)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 483 - Northern Thanalan (Quest Battles: Against the Shadow)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 484 - Lower La Noscea (Quest Battles: Ninja Assassin)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 485 - The Dravanian Hinterlands (Quest Battles: An Illuminati Incident)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 486 - Outer La Noscea (Quest Battles: Master of Marksmanship)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 487 - Coerthas Central Highlands (Quest Battles: Securing the Locks)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 488 - Coerthas Central Highlands (Quest Battles: The Power of a Tourney)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 489 - Coerthas Western Highlands (Quest Battles: Rise of the Machinists)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 490 - Hullbreaker Isle (Quest Battles: In Her Defense)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 491 - Southern Thanalan (Quest Battles: Appetite for Destruction)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 492 - The Sea of Clouds (Quest Battles: The Ballad of Oblivion)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 493 - Coerthas Western Highlands (Quest Battles: This Little Sword of Mine)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 494 - Eastern Thanalan (Quest Battles: Heroic Reprise)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 495 - Lower La Noscea (Quest Battles: Declaration of Blood)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 496 - Coerthas Central Highlands (Quest Battles: Kindred Spirits)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 497 - Coerthas Western Highlands (Quest Battles: Absolution)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 498 - Coerthas Western Highlands (Quest Battles: Big Sollerets to Fill)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 499 - The Pillars (Quest Battles: Ishgardian Justice)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 500 - Coerthas Central Highlands (Quest Battles: Our Answer)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 501 - The Churning Mists (Quest Battles: The Flame in the Abyss)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 502 - Carteneau Flats: Borderland Ruins (Quest Battles: I Could Have Tranced All Night)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 503 - The Dravanian Hinterlands (Quest Battles: A Flare for the Dramatic)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 504 - The Eighteenth Floor
    TerritoryInfo { parties_visible: false, map_visible: true }, // 505 - Alexander
    TerritoryInfo { parties_visible: false, map_visible: true }, // 506 - Chocobo Square
    TerritoryInfo { parties_visible: false, map_visible: true }, // 507 - Central Azys Lla
    TerritoryInfo { parties_visible: true, map_visible: true }, // 508 - Void Ark (Raids: The Void Ark)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 509 - The Gilded Araya (Instance)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 510 - Pharos Sirius (Dungeons: Pharos Sirius (Hard))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 511 - Saint Mocianne's Arboretum (Dungeons: Saint Mocianne's Arboretum)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 512 - The Diadem (The Diadem (Easy))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 513 - The Vault (Quest Battles: As Goes Light, So Goes Darkness)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 514 - The Diadem (The Diadem)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 515 - The Diadem (The Diadem (Hard))
    TerritoryInfo { parties_visible: false, map_visible: true }, // 516
    TerritoryInfo { parties_visible: true, map_visible: true }, // 517 - Containment Bay S1T7 (Trials: Containment Bay S1T7)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 518
    TerritoryInfo { parties_visible: true, map_visible: true }, // 519 - The Lost City of Amdapor (Dungeons: The Lost City of Amdapor (Hard))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 520 - The Fist of the Son (Raids: Alexander - The Fist of the Son)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 521 - The Cuff of the Son (Raids: Alexander - The Cuff of the Son)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 522 - The Arm of the Son (Raids: Alexander - The Arm of the Son)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 523 - The Burden of the Son (Raids: Alexander - The Burden of the Son)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 524 - Containment Bay S1T7 (Trials: Containment Bay S1T7 (Extreme))
    TerritoryInfo { parties_visible: false, map_visible: true }, // 525
    TerritoryInfo { parties_visible: false, map_visible: true }, // 526
    TerritoryInfo { parties_visible: false, map_visible: true }, // 527
    TerritoryInfo { parties_visible: false, map_visible: true }, // 528
    TerritoryInfo { parties_visible: true, map_visible: true }, // 529 - The Fist of the Son (Raids: Alexander - The Fist of the Son (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 530 - The Cuff of the Son (Raids: Alexander - The Cuff of the Son (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 531 - The Arm of the Son (Raids: Alexander - The Arm of the Son (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 532 - The Burden of the Son (Raids: Alexander - The Burden of the Son (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 533 - Coerthas Central Highlands (Quest Battles: A Spectacle for the Ages)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 534 - Twin Adder Barracks
    TerritoryInfo { parties_visible: false, map_visible: true }, // 535 - Flame Barracks
    TerritoryInfo { parties_visible: false, map_visible: true }, // 536 - Maelstrom Barracks
    TerritoryInfo { parties_visible: true, map_visible: true }, // 537 - The Fold (Avoid Area of Effect Attacks)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 538 - The Fold (Execute a Combo to Increase Enmity)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 539 - The Fold (Execute a Combo in Battle)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 540 - The Fold (Accrue Enmity from Multiple Targets)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 541 - The Fold (Engage Multiple Targets)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 542 - The Fold (Execute a Ranged Attack to Increase Enmity)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 543 - The Fold (Engage Enemy Reinforcements)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 544 - The Fold (Assist Allies in Defeating a Target)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 545 - The Fold (Defeat an Occupied Target)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 546 - The Fold (Avoid Engaged Targets)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 547 - The Fold (Engage Enemy Reinforcements)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 548 - The Fold (Interact with the Battlefield)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 549 - The Fold (Heal an Ally)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 550 - The Fold (Heal Multiple Allies)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 551 - The Fold (Avoid Engaged Targets)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 552 - Western La Noscea (Final Exercise)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 553 - Alexander
    TerritoryInfo { parties_visible: false, map_visible: false }, // 554 - The Fields of Glory (PvP: The Fields of Glory (Shatter))
    TerritoryInfo { parties_visible: false, map_visible: true }, // 555
    TerritoryInfo { parties_visible: true, map_visible: true }, // 556 - The Weeping City of Mhach (Raids: The Weeping City of Mhach)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 557 - Hullbreaker Isle (Dungeons: Hullbreaker Isle (Hard))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 558 - The Aquapolis (Treasure Hunt: The Aquapolis)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 559 - Steps of Faith (Trials: The Final Steps of Faith)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 560 - Aetherochemical Research Facility (Quest Battles: A Bloody Reunion)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 561 - The Palace of the Dead (Deep Dungeons: The Palace of the Dead (Floors 1-10))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 562 - The Palace of the Dead (Deep Dungeons: The Palace of the Dead (Floors 11-20))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 563 - The Palace of the Dead (Deep Dungeons: The Palace of the Dead (Floors 21-30))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 564 - The Palace of the Dead (Deep Dungeons: The Palace of the Dead (Floors 31-40))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 565 - The Palace of the Dead (Deep Dungeons: The Palace of the Dead (Floors 41-50))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 566 - Steps of Faith (Trials: The Minstrel's Ballad: Nidhogg's Rage)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 567 - The Parrock
    TerritoryInfo { parties_visible: false, map_visible: true }, // 568 - Leofard's Chambers
    TerritoryInfo { parties_visible: false, map_visible: true }, // 569 - Steps of Faith
    TerritoryInfo { parties_visible: false, map_visible: true }, // 570 - The Palace of the Dead
    TerritoryInfo { parties_visible: true, map_visible: true }, // 571 - Haunted Manor (The Haunted Manor)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 572
    TerritoryInfo { parties_visible: false, map_visible: true }, // 573 - Topmast Apartment Lobby
    TerritoryInfo { parties_visible: false, map_visible: true }, // 574 - Lily Hills Apartment Lobby
    TerritoryInfo { parties_visible: false, map_visible: true }, // 575 - Sultana's Breath Apartment Lobby
    TerritoryInfo { parties_visible: true, map_visible: true }, // 576 - Containment Bay P1T6 (Trials: Containment Bay P1T6)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 577 - Containment Bay P1T6 (Trials: Containment Bay P1T6 (Extreme))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 578 - The Great Gubal Library (Dungeons: The Great Gubal Library (Hard))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 579 - The Battlehall (Gold Saucer: The Triple Triad Battlehall)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 580 - Eyes of the Creator (Raids: Alexander - The Eyes of the Creator)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 581 - Breath of the Creator (Raids: Alexander - The Breath of the Creator)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 582 - Heart of the Creator (Raids: Alexander - The Heart of the Creator)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 583 - Soul of the Creator (Raids: Alexander - The Soul of the Creator)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 584 - Eyes of the Creator (Raids: Alexander - The Eyes of the Creator (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 585 - Breath of the Creator (Raids: Alexander - The Breath of the Creator (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 586 - Heart of the Creator (Raids: Alexander - The Heart of the Creator (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 587 - Soul of the Creator (Raids: Alexander - The Soul of the Creator (Savage))
    TerritoryInfo { parties_visible: false, map_visible: true }, // 588 - Heart of the Creator
    TerritoryInfo { parties_visible: true, map_visible: true }, // 589 - Chocobo Square (Gold Saucer: LoVM: Player Battle (RP))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 590 - Chocobo Square (Gold Saucer: LoVM: Tournament)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 591 - Chocobo Square (Gold Saucer: LoVM: Player Battle (Non-RP))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 592 - Bowl of Embers (Quest Battles: One Life for One World)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 593 - The Palace of the Dead (Deep Dungeons: The Palace of the Dead (Floors 51-60))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 594 - The Palace of the Dead (Deep Dungeons: The Palace of the Dead (Floors 61-70))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 595 - The Palace of the Dead (Deep Dungeons: The Palace of the Dead (Floors 71-80))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 596 - The Palace of the Dead (Deep Dungeons: The Palace of the Dead (Floors 81-90))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 597 - The Palace of the Dead (Deep Dungeons: The Palace of the Dead (Floors 91-100))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 598 - The Palace of the Dead (Deep Dungeons: The Palace of the Dead (Floors 101-110))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 599 - The Palace of the Dead (Deep Dungeons: The Palace of the Dead (Floors 111-120))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 600 - The Palace of the Dead (Deep Dungeons: The Palace of the Dead (Floors 121-130))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 601 - The Palace of the Dead (Deep Dungeons: The Palace of the Dead (Floors 131-140))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 602 - The Palace of the Dead (Deep Dungeons: The Palace of the Dead (Floors 141-150))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 603 - The Palace of the Dead (Deep Dungeons: The Palace of the Dead (Floors 151-160))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 604 - The Palace of the Dead (Deep Dungeons: The Palace of the Dead (Floors 161-170))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 605 - The Palace of the Dead (Deep Dungeons: The Palace of the Dead (Floors 171-180))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 606 - The Palace of the Dead (Deep Dungeons: The Palace of the Dead (Floors 181-190))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 607 - The Palace of the Dead (Deep Dungeons: The Palace of the Dead (Floors 191-200))
    TerritoryInfo { parties_visible: false, map_visible: true }, // 608 - Topmast Apartment
    TerritoryInfo { parties_visible: false, map_visible: true }, // 609 - Lily Hills Apartment
    TerritoryInfo { parties_visible: false, map_visible: true }, // 610 - Sultana's Breath Apartment
    TerritoryInfo { parties_visible: false, map_visible: true }, // 611 - Frondale's Home for Friendless Foundlings
    TerritoryInfo { parties_visible: false, map_visible: true }, // 612 - The Fringes
    TerritoryInfo { parties_visible: false, map_visible: true }, // 613 - The Ruby Sea
    TerritoryInfo { parties_visible: false, map_visible: true }, // 614 - Yanxia
    TerritoryInfo { parties_visible: false, map_visible: true }, // 615
    TerritoryInfo { parties_visible: true, map_visible: true }, // 616 - Shisui of the Violet Tides (Dungeons: Shisui of the Violet Tides)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 617 - Sohm Al (Dungeons: Sohm Al (Hard))
    TerritoryInfo { parties_visible: false, map_visible: true }, // 618
    TerritoryInfo { parties_visible: false, map_visible: true }, // 619
    TerritoryInfo { parties_visible: false, map_visible: true }, // 620 - The Peaks
    TerritoryInfo { parties_visible: false, map_visible: true }, // 621 - The Lochs
    TerritoryInfo { parties_visible: false, map_visible: true }, // 622 - The Azim Steppe
    TerritoryInfo { parties_visible: true, map_visible: true }, // 623 - Bardam's Mettle (Dungeons: Bardam's Mettle)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 624 - The Diadem (The Diadem Hunting Grounds (Easy))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 625 - The Diadem (The Diadem Hunting Grounds)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 626 - The Sirensong Sea (Dungeons: The Sirensong Sea)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 627 - Dun Scaith (Raids: Dun Scaith)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 628 - Kugane
    TerritoryInfo { parties_visible: false, map_visible: true }, // 629 - Bokairo Inn
    TerritoryInfo { parties_visible: false, map_visible: true }, // 630
    TerritoryInfo { parties_visible: false, map_visible: true }, // 631
    TerritoryInfo { parties_visible: false, map_visible: true }, // 632
    TerritoryInfo { parties_visible: true, map_visible: true }, // 633 - Carteneau Flats: Borderland Ruins (Quest Battles: The Carteneau Flats: Heliodrome)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 634 - Yanxia (Quest Battles: His Forgotten Home)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 635 - Rhalgr's Reach
    TerritoryInfo { parties_visible: false, map_visible: true }, // 636 - Omega Control
    TerritoryInfo { parties_visible: true, map_visible: true }, // 637 - Containment Bay Z1T9 (Trials: Containment Bay Z1T9)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 638 - Containment Bay Z1T9 (Trials: Containment Bay Z1T9 (Extreme))
    TerritoryInfo { parties_visible: false, map_visible: true }, // 639 - Ruby Bazaar Offices
    TerritoryInfo { parties_visible: true, map_visible: true }, // 640 - The Fringes (Quest Battles: A Beacon for Bad Things)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 641 - Shirogane
    TerritoryInfo { parties_visible: false, map_visible: true }, // 642
    TerritoryInfo { parties_visible: false, map_visible: true }, // 643
    TerritoryInfo { parties_visible: false, map_visible: true }, // 644
    TerritoryInfo { parties_visible: false, map_visible: true }, // 645
    TerritoryInfo { parties_visible: false, map_visible: true }, // 646
    TerritoryInfo { parties_visible: true, map_visible: true }, // 647 - The Fringes (Quest Battles: Choices and Paths)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 648 - The Fringes (Quest Battles: The Power to Protect)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 649 - Private Cottage - Shirogane
    TerritoryInfo { parties_visible: false, map_visible: true }, // 650 - Private House - Shirogane
    TerritoryInfo { parties_visible: false, map_visible: true }, // 651 - Private Mansion - Shirogane
    TerritoryInfo { parties_visible: false, map_visible: true }, // 652 - Private Chambers - Shirogane
    TerritoryInfo { parties_visible: false, map_visible: true }, // 653 - Company Workshop - Shirogane
    TerritoryInfo { parties_visible: false, map_visible: true }, // 654 - Kobai Goten Apartment Lobby
    TerritoryInfo { parties_visible: false, map_visible: true }, // 655 - Kobai Goten Apartment
    TerritoryInfo { parties_visible: true, map_visible: true }, // 656 - The Diadem (The Diadem - Trials of the Matron)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 657 - The Ruby Sea (Quest Battles:  A Test of Courage)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 658 - The Interdimensional Rift (Quest Battles: Return to the Rift)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 659 - Rhalgr's Reach (Quest Battles: In Crimson It Began)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 660 - Doma Castle (Dungeons: Doma Castle)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 661 - Castrum Abania (Dungeons: Castrum Abania)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 662 - Kugane Castle (Dungeons: Kugane Castle)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 663 - The Temple of the Fist (Dungeons: The Temple of the Fist)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 664 - Kugane (Quest Battles: Come Rain or Shrine)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 665 - Kugane (Quest Battles: It's Probably a Trap)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 666 - Ul'dah - Steps of Thal (Quest Battles: Master Musosai)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 667 - Kugane (Quest Battles: Foxfire)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 668 - Eastern Thanalan (Quest Battles: The Crimson Duelist)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 669 - Southern Thanalan (Quest Battles: Shades of Shatotto)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 670 - The Fringes (Quest Battles: Best Served with Cold Steel)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 671 - The Fringes (Quest Battles: Rhalgr's Beacon)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 672 - Mor Dhona (Quest Battles: Stained in Scarlet)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 673 - Sohm Al (Quest Battles: One Golem to Rule Them All)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 674 - The Blessed Treasury (Trials: The Pool of Tribute)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 675 - Western La Noscea (Quest Battles: A Vermilion Vendetta)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 676 - The Great Gubal Library (Quest Battles: Nightkin)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 677 - The Blessed Treasury (Trials: The Pool of Tribute (Extreme))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 678 - The Fringes (Quest Battles: What She Always Wanted)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 679 - The Royal Airship Landing (Trials: The Royal Menagerie)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 680 - The Misery
    TerritoryInfo { parties_visible: false, map_visible: true }, // 681 - The House of the Fierce
    TerritoryInfo { parties_visible: false, map_visible: true }, // 682 - The Doman Enclave
    TerritoryInfo { parties_visible: false, map_visible: true }, // 683 - The First Altar of Djanan Qhat
    TerritoryInfo { parties_visible: true, map_visible: true }, // 684 - The Lochs (Quest Battles: The Resonant)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 685 - Yanxia (Quest Battles: The Time between the Seconds)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 686 - The Lochs (Quest Battles: The Key to Victory)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 687 - The Lochs (Quest Battles: The Measure of His Reach)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 688 - The Azim Steppe (Quest Battles: Naadam)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 689 - Ala Mhigo (Dungeons: Ala Mhigo)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 690 - The Interdimensional Rift (Quest Battles: Interdimensional Rift)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 691 - Deltascape V1.0 (Raids: Deltascape V1.0)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 692 - Deltascape V2.0 (Raids: Deltascape V2.0)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 693 - Deltascape V3.0 (Raids: Deltascape V3.0)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 694 - Deltascape V4.0 (Raids: Deltascape V4.0)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 695 - Deltascape V1.0 (Raids: Deltascape V1.0 (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 696 - Deltascape V2.0 (Raids: Deltascape V2.0 (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 697 - Deltascape V3.0 (Raids: Deltascape V3.0 (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 698 - Deltascape V4.0 (Raids: Deltascape V4.0 (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 699 - Coerthas Central Highlands (Quest Battles: Release the Hounds)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 700 - Foundation (Quest Battles: The Mongrel and the Knight)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 701 - Seal Rock (Quest Battles: An Egi-stential Crisis)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 702 - Aetherochemical Research Facility (Quest Battles: An Art for the Living)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 703 - The Fringes (Quest Battles: One Autumn's Secret)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 704 - Dalamud's Shadow (Quest Battles: Sweet Dreams Are Made of Peace)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 705 - Ul'dah - Steps of Thal (Quest Battles: In Thal's Name)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 706 - Ul'dah - Steps of Thal (Quest Battles: Raising the Sword)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 707 - The Weeping City of Mhach (Quest Battles: With Heart and Steel)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 708 - Rhotano Sea (Quest Battles: Blood on the Deck)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 709 - Coerthas Western Highlands (Quest Battles: The Face of True Evil)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 710 - Kugane (Quest Battles: Matsuba Mayhem)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 711 - The Ruby Sea (Quest Battles: The Battle on Bekko)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 712 - The Lost Canals of Uznair (Treasure Hunt: The Lost Canals of Uznair)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 713 - The Azim Steppe (Quest Battles: Dark as the Night Sky)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 714 - Bardam's Mettle (Quest Battles: Dragon Sound)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 715 - The Churning Mists (Quest Battles: The Orphans and the Broken Blade)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 716 - The Peaks (Quest Battles: Our Compromise)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 717 - Wolves' Den Pier (Quest Battles: Curious Gorge Meets His Match)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 718 - The Azim Steppe (Quest Battles: The Heart of the Problem)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 719 - Emanation (Trials: Emanation)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 720 - Emanation (Trials: Emanation (Extreme))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 721 - Amdapor Keep (Quest Battles: In Loving Memory)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 722 - The Lost City of Amdapor (Quest Battles: Our Unsung Heroes)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 723 - The Azim Steppe (Quest Battles: When Clans Collide)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 724 - The Interdimensional Rift
    TerritoryInfo { parties_visible: true, map_visible: true }, // 725 - The Lost Canals of Uznair (Treasure Hunt: The Hidden Canals of Uznair)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 726 - The Ruby Sea (Quest Battles: A Game of Life and Death)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 727 - The Royal Menagerie
    TerritoryInfo { parties_visible: false, map_visible: true }, // 728 - Mordion Gaol
    TerritoryInfo { parties_visible: false, map_visible: false }, // 729 - Astragalos (PvP: Astragalos)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 730 - Transparency (Trials: The Minstrel's Ballad: Shinryu's Domain)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 731 - The Drowned City of Skalla (Dungeons: The Drowned City of Skalla)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 732 - Eureka Anemos (Eureka: The Forbidden Land, Eureka Anemos)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 733 - The Binding Coil of Bahamut (Ultimate Raids: The Unending Coil of Bahamut (Ultimate))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 734 - The Royal City of Rabanastre (Raids: The Royal City of Rabanastre)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 735 - The Prima Vista Tiring Room
    TerritoryInfo { parties_visible: false, map_visible: true }, // 736 - The Prima Vista Bridge
    TerritoryInfo { parties_visible: false, map_visible: true }, // 737 - Royal Palace
    TerritoryInfo { parties_visible: false, map_visible: true }, // 738 - The Resonatorium
    TerritoryInfo { parties_visible: false, map_visible: true }, // 739 - The Doman Enclave
    TerritoryInfo { parties_visible: false, map_visible: true }, // 740 - The Royal Menagerie
    TerritoryInfo { parties_visible: true, map_visible: true }, // 741 - Sanctum of the Twelve (The Valentione's Ceremony)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 742 - Hells' Lid (Dungeons: Hells' Lid)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 743 - The Fractal Continuum (Dungeons: The Fractal Continuum (Hard))
    TerritoryInfo { parties_visible: false, map_visible: true }, // 744 - Kienkan
    TerritoryInfo { parties_visible: false, map_visible: true }, // 745
    TerritoryInfo { parties_visible: true, map_visible: true }, // 746 - The Jade Stoa (Trials: The Jade Stoa)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 747
    TerritoryInfo { parties_visible: true, map_visible: true }, // 748 - Sigmascape V1.0 (Raids: Sigmascape V1.0)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 749 - Sigmascape V2.0 (Raids: Sigmascape V2.0)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 750 - Sigmascape V3.0 (Raids: Sigmascape V3.0)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 751 - Sigmascape V4.0 (Raids: Sigmascape V4.0)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 752 - Sigmascape V1.0 (Raids: Sigmascape V1.0 (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 753 - Sigmascape V2.0 (Raids: Sigmascape V2.0 (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 754 - Sigmascape V3.0 (Raids: Sigmascape V3.0 (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 755 - Sigmascape V4.0 (Raids: Sigmascape V4.0 (Savage))
    TerritoryInfo { parties_visible: false, map_visible: true }, // 756 - The Interdimensional Rift
    TerritoryInfo { parties_visible: true, map_visible: true }, // 757 - The Ruby Sea (Quest Battles: Hope on the Waves)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 758 - The Jade Stoa (Trials: The Jade Stoa (Extreme))
    TerritoryInfo { parties_visible: false, map_visible: true }, // 759 - The Doman Enclave
    TerritoryInfo { parties_visible: true, map_visible: true }, // 760 - The Fringes (Quest Battles:  Schism between Sisters)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 761 - The Great Hunt (Trials: The Great Hunt)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 762 - The Great Hunt (Trials: The Great Hunt (Extreme))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 763 - Eureka Pagos (Eureka: The Forbidden Land, Eureka Pagos)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 764 - Reisen Temple
    TerritoryInfo { parties_visible: false, map_visible: true }, // 765
    TerritoryInfo { parties_visible: false, map_visible: true }, // 766
    TerritoryInfo { parties_visible: false, map_visible: true }, // 767
    TerritoryInfo { parties_visible: true, map_visible: true }, // 768 - The Swallow's Compass (Dungeons: The Swallow's Compass)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 769 - The Burn (Quest Battles: Emissary of the Dawn)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 770 - Heaven-on-High
    TerritoryInfo { parties_visible: false, map_visible: true }, // 771 - Heaven-on-High
    TerritoryInfo { parties_visible: false, map_visible: true }, // 772 - Heaven-on-High
    TerritoryInfo { parties_visible: false, map_visible: true }, // 773 - Heaven-on-High
    TerritoryInfo { parties_visible: false, map_visible: true }, // 774 - Heaven-on-High
    TerritoryInfo { parties_visible: false, map_visible: true }, // 775 - Heaven-on-High
    TerritoryInfo { parties_visible: true, map_visible: true }, // 776 - The Ridorana Lighthouse (Raids: The Ridorana Lighthouse)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 777 - Ultimacy (Ultimate Raids: The Weapon's Refrain (Ultimate))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 778 - Castrum Fluminis (Trials: Castrum Fluminis)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 779 - Castrum Fluminis (Trials: The Minstrel's Ballad: Tsukuyomi's Pain)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 780 - Heaven-on-High
    TerritoryInfo { parties_visible: true, map_visible: true }, // 781 - Reisen Temple Road (Quest Battles: Tortoise in Time)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 782 - Heaven-on-High
    TerritoryInfo { parties_visible: false, map_visible: true }, // 783 - Heaven-on-High
    TerritoryInfo { parties_visible: false, map_visible: true }, // 784 - Heaven-on-High
    TerritoryInfo { parties_visible: false, map_visible: true }, // 785 - Heaven-on-High
    TerritoryInfo { parties_visible: false, map_visible: true }, // 786 - Castrum Fluminis
    TerritoryInfo { parties_visible: false, map_visible: true }, // 787 - The Ridorana Cataract
    TerritoryInfo { parties_visible: true, map_visible: true }, // 788 - Saint Mocianne's Arboretum (Dungeons: Saint Mocianne's Arboretum (Hard))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 789 - The Burn (Dungeons: The Burn)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 790 - Ul'dah - Steps of Nald (The Calamity Retold)
    TerritoryInfo { parties_visible: false, map_visible: false }, // 791 - Hidden Gorge (PvP: Hidden Gorge)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 792 - The Fall of Belah'dia (Gold Saucer: Leap of Faith)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 793 - The Ghimlyt Dark (Dungeons: The Ghimlyt Dark)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 794 - The Shifting Altars of Uznair (Treasure Hunt: The Shifting Altars of Uznair)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 795 - Eureka Pyros (Eureka: The Forbidden Land, Eureka Pyros)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 796 - Blue Sky (All's Well That Starts Well)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 797 - The Azim Steppe (Quest Battles: The Will of the Moon)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 798 - Psiscape V1.0 (Raids: Alphascape V1.0)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 799 - Psiscape V2.0 (Raids: Alphascape V2.0)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 800 - The Interdimensional Rift (Raids: Alphascape V3.0)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 801 - The Interdimensional Rift (Raids: Alphascape V4.0)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 802 - Psiscape V1.0 (Raids: Alphascape V1.0 (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 803 - Psiscape V2.0 (Raids: Alphascape V2.0 (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 804 - The Interdimensional Rift (Raids: Alphascape V3.0 (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 805 - The Interdimensional Rift (Raids: Alphascape V4.0 (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 806 - Kugane Ohashi (Trials: Kugane Ohashi)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 807 - The Interdimensional Rift
    TerritoryInfo { parties_visible: false, map_visible: true }, // 808 - The Interdimensional Rift
    TerritoryInfo { parties_visible: false, map_visible: true }, // 809 - Haunted Manor
    TerritoryInfo { parties_visible: true, map_visible: true }, // 810 - Hells' Kier (Trials: Hells' Kier)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 811 - Hells' Kier (Trials: Hells' Kier (Extreme))
    TerritoryInfo { parties_visible: false, map_visible: true }, // 812 - The Interdimensional Rift
    TerritoryInfo { parties_visible: false, map_visible: true }, // 813 - Lakeland
    TerritoryInfo { parties_visible: false, map_visible: true }, // 814 - Kholusia
    TerritoryInfo { parties_visible: false, map_visible: true }, // 815 - Amh Araeng
    TerritoryInfo { parties_visible: false, map_visible: true }, // 816 - Il Mheg
    TerritoryInfo { parties_visible: false, map_visible: true }, // 817 - The Rak'tika Greatwood
    TerritoryInfo { parties_visible: false, map_visible: true }, // 818 - The Tempest
    TerritoryInfo { parties_visible: false, map_visible: true }, // 819 - The Crystarium
    TerritoryInfo { parties_visible: false, map_visible: true }, // 820 - Eulmore
    TerritoryInfo { parties_visible: true, map_visible: true }, // 821 - Dohn Mheg (Dungeons: Dohn Mheg)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 822 - Mt. Gulg (Dungeons: Mt. Gulg)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 823 - The Qitana Ravel (Dungeons: The Qitana Ravel)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 824 - The Wreath of Snakes (Trials: The Wreath of Snakes)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 825 - The Wreath of Snakes (Trials: The Wreath of Snakes (Extreme))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 826 - The Orbonne Monastery (Raids: The Orbonne Monastery)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 827 - Eureka Hydatos (Eureka: The Forbidden Land, Eureka Hydatos)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 828 - The Prima Vista Tiring Room
    TerritoryInfo { parties_visible: false, map_visible: true }, // 829 - Eorzean Alliance Headquarters
    TerritoryInfo { parties_visible: true, map_visible: true }, // 830 - The Ghimlyt Dark (Quest Battles: A Requiem for Heroes)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 831 - The Manderville Tables
    TerritoryInfo { parties_visible: false, map_visible: true }, // 832 - The Gold Saucer
    TerritoryInfo { parties_visible: false, map_visible: true }, // 833 - The Howling Eye
    TerritoryInfo { parties_visible: true, map_visible: true }, // 834 - The Howling Eye (Quest Battles: Messenger of the Winds)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 835
    TerritoryInfo { parties_visible: true, map_visible: true }, // 836 - Malikah's Well (Dungeons: Malikah's Well)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 837 - Holminster Switch (Dungeons: Holminster Switch)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 838 - Amaurot (Dungeons: Amaurot)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 839 - East Shroud (Quest Battles: In the Dark of Night)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 840 - The Twinning (Dungeons: The Twinning)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 841 - Akadaemia Anyder (Dungeons: Akadaemia Anyder)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 842 - The Syrcus Trench
    TerritoryInfo { parties_visible: false, map_visible: true }, // 843 - The Pendants Personal Suite
    TerritoryInfo { parties_visible: false, map_visible: true }, // 844 - The Ocular
    TerritoryInfo { parties_visible: true, map_visible: true }, // 845 - The Dancing Plague (Trials: The Dancing Plague)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 846 - The Crown of the Immaculate (Trials: The Crown of the Immaculate)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 847 - The Dying Gasp (Trials: The Dying Gasp)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 848 - The Crown of the Immaculate (Trials: The Crown of the Immaculate (Extreme))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 849 - The Core (Raids: Eden's Gate: Resurrection)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 850 - The Halo (Raids: Eden's Gate: Descent)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 851 - The Nereus Trench (Raids: Eden's Gate: Inundation)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 852 - Atlas Peak (Raids: Eden's Gate: Sepulture)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 853 - The Core (Raids: Eden's Gate: Resurrection (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 854 - The Halo (Raids: Eden's Gate: Descent (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 855 - The Nereus Trench (Raids: Eden's Gate: Inundation (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 856 - Atlas Peak (Raids: Eden's Gate: Sepulture (Savage))
    TerritoryInfo { parties_visible: false, map_visible: true }, // 857 - The Core
    TerritoryInfo { parties_visible: true, map_visible: true }, // 858 - The Dancing Plague (Trials: The Dancing Plague (Extreme))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 859 - The Confessional of Toupasa the Elder (Quest Battles: Legend of the Not-so-hidden Temple)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 860 - Amh Araeng (Quest Battles: Coming Clean)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 861 - Lakeland (Quest Battles: The Oracle of Light)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 862 - Lakeland (Quest Battles: When It Rains)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 863 - Eulmore (Quest Battles: A Feast of Lies)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 864 - Kholusia (Quest Battles: A-Digging We Will Go)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 865 - Old Gridania (Quest Battles: Hired Gunblades)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 866 - Coerthas Western Highlands (Quest Battles: Steel against Steel)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 867 - Eastern La Noscea (Quest Battles: Gamboling for Gil)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 868 - The Peaks (Quest Battles: Save the Last Dance for Me)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 869 - Il Mheg (Quest Battles: To Have Loved and Lost)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 870 - Kholusia (Quest Battles: The Soul of Temperance)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 871 - The Rak'tika Greatwood (Quest Battles: Courage Born of Fear)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 872 - Amh Araeng (Quest Battles: A Tearful Reunion)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 873 - The Dancing Plague (Quest Battles: The Hardened Heart)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 874 - The Rak'tika Greatwood (Quest Battles: The Lost and the Found)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 875 - The Rak'tika Greatwood (Quest Battles: The Hunter's Legacy)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 876 - The Nabaath Mines (Quest Battles: Nyelbert's Lament)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 877 - Lakeland
    TerritoryInfo { parties_visible: false, map_visible: true }, // 878 - The Empty
    TerritoryInfo { parties_visible: true, map_visible: true }, // 879 - The Dungeons of Lyhe Ghiah (Treasure Hunt: The Dungeons of Lyhe Ghiah)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 880 - The Crown of the Immaculate
    TerritoryInfo { parties_visible: false, map_visible: true }, // 881 - The Dying Gasp
    TerritoryInfo { parties_visible: true, map_visible: true }, // 882 - The Copied Factory (Raids: The Copied Factory)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 883
    TerritoryInfo { parties_visible: true, map_visible: true }, // 884 - The Grand Cosmos (Dungeons: The Grand Cosmos)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 885 - The Dying Gasp (Trials: The Minstrel's Ballad: Hades's Elegy)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 886 - The Firmament
    TerritoryInfo { parties_visible: true, map_visible: true }, // 887 - Liminal Space (Ultimate Raids: The Epic of Alexander (Ultimate))
    TerritoryInfo { parties_visible: false, map_visible: false }, // 888 - Onsal Hakair (PvP: Onsal Hakair (Danshig Naadam))
    TerritoryInfo { parties_visible: false, map_visible: true }, // 889 - Lyhe Mheg
    TerritoryInfo { parties_visible: false, map_visible: true }, // 890 - Lyhe Mheg
    TerritoryInfo { parties_visible: false, map_visible: true }, // 891 - Lyhe Mheg
    TerritoryInfo { parties_visible: false, map_visible: true }, // 892 - Lyhe Mheg
    TerritoryInfo { parties_visible: true, map_visible: true }, // 893 - The Imperial Palace (Quest Battles: Vows of Virtue, Deeds of Cruelty)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 894 - Lyhe Mheg (Quest Battles: As the Heart Bids)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 895 - Excavation Tunnels
    TerritoryInfo { parties_visible: false, map_visible: true }, // 896 - The Copied Factory
    TerritoryInfo { parties_visible: true, map_visible: true }, // 897 - Cinder Drift (Trials: Cinder Drift)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 898 - Anamnesis Anyder (Dungeons: Anamnesis Anyder)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 899 - The Falling City of Nym (Gold Saucer: Leap of Faith)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 900 - The Endeavor (Disciples of the Land: Ocean Fishing)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 901 - The Diadem (Disciples of the Land: The Diadem)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 902 - The Gandof Thunder Plains (Raids: Eden's Verse: Fulmination)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 903 - Ashfall (Raids: Eden's Verse: Furor)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 904 - The Halo (Raids: Eden's Verse: Iconoclasm)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 905 - Great Glacier (Raids: Eden's Verse: Refulgence)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 906 - The Gandof Thunder Plains (Raids: Eden's Verse: Fulmination (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 907 - Ashfall (Raids: Eden's Verse: Furor (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 908 - The Halo (Raids: Eden's Verse: Iconoclasm (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 909 - Great Glacier (Raids: Eden's Verse: Refulgence (Savage))
    TerritoryInfo { parties_visible: false, map_visible: true }, // 910
    TerritoryInfo { parties_visible: true, map_visible: true }, // 911 - Cid's Memory (Quest Battles: The Bozja Incident)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 912 - Cinder Drift (Trials: Cinder Drift (Extreme))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 913 - Transmission Control (Trials: Memoria Misera (Extreme))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 914 - Trial's Threshold (Quest Battles: A Sleep Disturbed)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 915 - Gangos
    TerritoryInfo { parties_visible: true, map_visible: true }, // 916 - The Heroes' Gauntlet (Dungeons: The Heroes' Gauntlet)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 917 - The Puppets' Bunker (Raids: The Puppets' Bunker)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 918 - Anamnesis Anyder
    TerritoryInfo { parties_visible: false, map_visible: true }, // 919 - Terncliff
    TerritoryInfo { parties_visible: true, map_visible: true }, // 920 - Bozjan Southern Front (The Bozjan Southern Front)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 921 - Frondale's Home for Friendless Foundlings
    TerritoryInfo { parties_visible: true, map_visible: true }, // 922 - The Seat of Sacrifice (Trials: The Seat of Sacrifice)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 923 - The Seat of Sacrifice (Trials: The Seat of Sacrifice (Extreme))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 924 - The Shifting Oubliettes of Lyhe Ghiah (Treasure Hunt: The Shifting Oubliettes of Lyhe Ghiah)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 925 - Terncliff Bay (Quest Battles: Sleep Now in Sapphire)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 926 - Terncliff Bay (Quest Battles: Sleep Now in Sapphire)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 927
    TerritoryInfo { parties_visible: false, map_visible: true }, // 928 - The Puppets' Bunker
    TerritoryInfo { parties_visible: true, map_visible: true }, // 929 - The Diadem (Disciples of the Land: The Diadem)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 930
    TerritoryInfo { parties_visible: false, map_visible: true }, // 931 - The Seat of Sacrifice
    TerritoryInfo { parties_visible: true, map_visible: true }, // 932 - The Tempest (Quest Battles: Faded Memories)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 933 - Matoya's Relict (Dungeons: Matoya's Relict)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 934 - Castrum Marinum Drydocks (Trials: Castrum Marinum)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 935 - Castrum Marinum Drydocks (Trials: Castrum Marinum (Extreme))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 936 - Delubrum Reginae (Delubrum Reginae)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 937 - Delubrum Reginae (Delubrum Reginae (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 938 - Paglth'an (Dungeons: Paglth'an)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 939 - The Diadem (Disciples of the Land: The Diadem)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 940 - The Battlehall (Gold Saucer: Triple Triad Open Tournament)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 941 - The Battlehall (Gold Saucer: Triple Triad Invitational Parlor)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 942 - Sphere of Naught (Raids: Eden's Promise: Umbra)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 943 - Laxan Loft (Raids: Eden's Promise: Litany)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 944 - Bygone Gaol (Raids: Eden's Promise: Anamorphosis)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 945 - The Garden of Nowhere (Raids: Eden's Promise: Eternity)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 946 - Sphere of Naught (Raids: Eden's Promise: Umbra (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 947 - Laxan Loft (Raids: Eden's Promise: Litany (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 948 - Bygone Gaol (Raids: Eden's Promise: Anamorphosis (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 949 - The Garden of Nowhere (Raids: Eden's Promise: Eternity (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 950 - G-Savior Deck (Trials: The Cloud Deck)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 951 - G-Savior Deck (Trials: The Cloud Deck (Extreme))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 952 - The Tower of Zot (Dungeons: The Tower of Zot)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 953
    TerritoryInfo { parties_visible: true, map_visible: true }, // 954 - The Navel (Quest Battles: The Great Ship Vylbrand)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 955 - The Last Trace (Quest Battles: Fit for a Queen)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 956 - Labyrinthos
    TerritoryInfo { parties_visible: false, map_visible: true }, // 957 - Thavnair
    TerritoryInfo { parties_visible: false, map_visible: true }, // 958 - Garlemald
    TerritoryInfo { parties_visible: false, map_visible: true }, // 959 - Mare Lamentorum
    TerritoryInfo { parties_visible: false, map_visible: true }, // 960 - Ultima Thule
    TerritoryInfo { parties_visible: false, map_visible: true }, // 961 - Elpis
    TerritoryInfo { parties_visible: false, map_visible: true }, // 962 - Old Sharlayan
    TerritoryInfo { parties_visible: false, map_visible: true }, // 963 - Radz-at-Han
    TerritoryInfo { parties_visible: false, map_visible: true }, // 964 - The Last Trace
    TerritoryInfo { parties_visible: false, map_visible: true }, // 965 - The Empty
    TerritoryInfo { parties_visible: true, map_visible: true }, // 966 - The Tower at Paradigm's Breach (Raids: The Tower at Paradigm's Breach)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 967 - Castrum Marinum Drydocks
    TerritoryInfo { parties_visible: true, map_visible: true }, // 968 - Medias Res (Ultimate Raids: Dragonsong's Reprise (Ultimate))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 969 - The Tower of Babil (Dungeons: The Tower of Babil)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 970 - Vanaspati (Dungeons: Vanaspati)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 971 - Lemures Headquarters
    TerritoryInfo { parties_visible: false, map_visible: true }, // 972
    TerritoryInfo { parties_visible: true, map_visible: true }, // 973 - The Dead Ends (Dungeons: The Dead Ends)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 974 - Ktisis Hyperboreia (Dungeons: Ktisis Hyperboreia)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 975 - Zadnor (Zadnor)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 976 - Smileton (Dungeons: Smileton)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 977 - Carteneau Flats: Borderland Ruins (Quest Battles: Death Unto Dawn)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 978 - The Aitiascope (Dungeons: The Aitiascope)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 979 - Empyreum
    TerritoryInfo { parties_visible: false, map_visible: true }, // 980 - Private Cottage - Empyreum
    TerritoryInfo { parties_visible: false, map_visible: true }, // 981 - Private House - Empyreum
    TerritoryInfo { parties_visible: false, map_visible: true }, // 982 - Private Mansion - Empyreum
    TerritoryInfo { parties_visible: false, map_visible: true }, // 983 - Private Chambers - Empyreum
    TerritoryInfo { parties_visible: false, map_visible: true }, // 984 - Company Workshop - Empyreum
    TerritoryInfo { parties_visible: false, map_visible: true }, // 985 - Ingleside Apartment Lobby
    TerritoryInfo { parties_visible: true, map_visible: true }, // 986 - The Stigma Dreamscape (Dungeons: The Stigma Dreamscape)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 987 - Main Hall
    TerritoryInfo { parties_visible: false, map_visible: true }, // 988
    TerritoryInfo { parties_visible: false, map_visible: true }, // 989
    TerritoryInfo { parties_visible: false, map_visible: true }, // 990 - Andron
    TerritoryInfo { parties_visible: false, map_visible: true }, // 991 - G-Savior Deck
    TerritoryInfo { parties_visible: true, map_visible: true }, // 992 - The Dark Inside (Trials: The Dark Inside)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 993 - The Dark Inside (Trials: The Minstrel's Ballad: Zodiark's Fall)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 994 - The Phantoms' Feast (The Phantoms' Feast)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 995 - The Mothercrystal (Trials: The Mothercrystal)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 996 - The Mothercrystal (Trials: The Minstrel's Ballad: Hydaelyn's Call)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 997 - The Final Day (Trials: The Final Day)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 998 - The Final Day (Trials: The Minstrel's Ballad: Endsinger's Aria)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 999 - Ingleside Apartment
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1000 - The Excitatron 6000 (Treasure Hunt: The Excitatron 6000)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1001 - Strategy Room
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1002 - The Gates of Pandæmonium (Raids: Asphodelos: The First Circle)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1003 - The Gates of Pandæmonium (Raids: Asphodelos: The First Circle (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1004 - The Stagnant Limbo (Raids: Asphodelos: The Second Circle)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1005 - The Stagnant Limbo (Raids: Asphodelos: The Second Circle (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1006 - The Fervid Limbo (Raids: Asphodelos: The Third Circle)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1007 - The Fervid Limbo (Raids: Asphodelos: The Third Circle (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1008 - The Sanguine Limbo (Raids: Asphodelos: The Fourth Circle)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1009 - The Sanguine Limbo (Raids: Asphodelos: The Fourth Circle (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1010 - Magna Glacies (Quest Battles: A Frosty Reception)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1011 - Garlemald (Quest Battles: In from the Cold)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1012 - Magna Glacies (Quest Battles: As the Heavens Burn)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1013 - Beyond the Stars (Quest Battles: Endwalker)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1014 - Elpis (Quest Battles: Worthy of His Back)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1015 - Central Shroud (Quest Battles: A Path Unveiled)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1016 - Sastasha (Quest Battles: To Calmer Seas)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1017 - The Swallow's Compass (Quest Battles: Laid to Rest)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1018 - The Vault (Quest Battles: Ever March Heavensward)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1019 - The Peaks (Quest Battles: The Gift of Mercy)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1020 - Cutter's Cry (Quest Battles: The Harvest Begins)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1021 - Dusk Vigil (Quest Battles: The Killing Art)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1022 - Saint Mocianne's Arboretum (Quest Battles: Sage's Focus)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1023 - The Dravanian Forelands (Quest Battles: Life Ephemeral, Path Eternal)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1024 - The Nethergate
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1025 - The Gates of Pandæmonium
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1026 - Beyond the Stars
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1027 - Ultima Thule
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1028 - The Dark Inside
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1029 - The Final Day
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1030 - The Mothercrystal
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1031 - Propylaion
    TerritoryInfo { parties_visible: false, map_visible: false }, // 1032 - The Palaistra
    TerritoryInfo { parties_visible: false, map_visible: false }, // 1033 - The Volcanic Heart
    TerritoryInfo { parties_visible: false, map_visible: false }, // 1034 - Cloud Nine
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1035
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1036 - Sastasha (Dungeons: Sastasha)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1037 - The Tam-Tara Deepcroft (Dungeons: The Tam-Tara Deepcroft)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1038 - Copperbell Mines (Dungeons: Copperbell Mines)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1039 - The Thousand Maws of Toto-Rak (Dungeons: The Thousand Maws of Toto-Rak)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1040 - Haukke Manor (Dungeons: Haukke Manor)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1041 - Brayflox's Longstop (Dungeons: Brayflox's Longstop)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1042 - Stone Vigil (Dungeons: The Stone Vigil)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1043 - Castrum Meridianum (Dungeons: Castrum Meridianum)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1044 - The Praetorium (Dungeons: The Praetorium)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1045 - Bowl of Embers (Trials: The Bowl of Embers)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1046 - The Navel (Trials: The Navel)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1047 - The Howling Eye (Trials: The Howling Eye)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1048 - Porta Decumana (Trials: The Porta Decumana)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1049 - Western Thanalan (Quest Battles: Cape Westwind)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1050 - Alzadaal's Legacy (Dungeons: Alzadaal's Legacy)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1051 - The Tower of Babil (Quest Battles: Forlorn Glory)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1052 - The Porta Decumana (Quest Battles: Devastation)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1053 - The Porta Decumana
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1054 - Aglaia (Raids: Aglaia)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1055 - Unnamed Island
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1056 - Alzadaal's Legacy
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1057 - Restricted Archives
    TerritoryInfo { parties_visible: false, map_visible: false }, // 1058 - The Palaistra
    TerritoryInfo { parties_visible: false, map_visible: false }, // 1059 - The Volcanic Heart
    TerritoryInfo { parties_visible: false, map_visible: false }, // 1060 - Cloud Nine
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1061 - The Omphalos
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1062 - Snowcloak (Dungeons: Snowcloak)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1063 - The Keeper of the Lake (Dungeons: The Keeper of the Lake)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1064 - Sohm Al (Dungeons: Sohm Al)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1065 - The Aery (Dungeons: The Aery)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1066 - The Vault (Dungeons: The Vault)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1067 - Thornmarch (Trials: Thornmarch (Hard))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1068 - Steps of Faith (Quest Battles: The Steps of Faith)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1069 - The Sil'dihn Subterrane (V&C Dungeon Finder: The Sil'dihn Subterrane)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1070 - The Fell Court of Troia (Dungeons: The Fell Court of Troia)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1071 - Storm's Crown (Trials: Storm's Crown)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1072 - Storm's Crown (Trials: Storm's Crown (Extreme))
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1073 - Elysion
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1074
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1075 - Another Sil'dihn Subterrane (V&C Dungeon Finder: Another Sil'dihn Subterrane)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1076 - Another Sil'dihn Subterrane (V&C Dungeon Finder: Another Sil'dihn Subterrane (Savage))
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1077 - Zero's Domain
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1078 - Meghaduta Guest Chambers
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1079 - The Aitiascope
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1080
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1081 - The Caustic Purgatory (Raids: Abyssos: The Fifth Circle)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1082 - The Caustic Purgatory (Raids: Abyssos: The Fifth Circle (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1083 - The Pestilent Purgatory (Raids: Abyssos: The Sixth Circle)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1084 - The Pestilent Purgatory (Raids: Abyssos: The Sixth Circle (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1085 - The Hollow Purgatory (Raids: Abyssos: The Seventh Circle)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1086 - The Hollow Purgatory (Raids: Abyssos: The Seventh Circle (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1087 - Stygian Insenescence Cells (Raids: Abyssos: The Eighth Circle)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1088 - Stygian Insenescence Cells (Raids: Abyssos: The Eighth Circle (Savage))
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1089 - The Fell Court of Troia
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1090
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1091 - The Fell Court of Troia (Quest Battles: Where Everything Begins)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1092 - Storm's Crown
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1093 - Stygian Insenescence Cells
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1094 - Sneaky Hollow
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1095 - Mount Ordeals (Trials: Mount Ordeals)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1096 - Mount Ordeals (Trials: Mount Ordeals (Extreme))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1097 - Lapis Manalis (Dungeons: Lapis Manalis)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1098 - Sylphstep (Gold Saucer: Leap of Faith)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1099 - Eureka Orthos (Deep Dungeons: Eureka Orthos (Floors 1-10))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1100 - Eureka Orthos (Deep Dungeons: Eureka Orthos (Floors 11-20))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1101 - Eureka Orthos (Deep Dungeons: Eureka Orthos (Floors 21-30))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1102 - Eureka Orthos (Deep Dungeons: Eureka Orthos (Floors 31-40))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1103 - Eureka Orthos (Deep Dungeons: Eureka Orthos (Floors 41-50))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1104 - Eureka Orthos (Deep Dungeons: Eureka Orthos (Floors 51-60))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1105 - Eureka Orthos (Deep Dungeons: Eureka Orthos (Floors 61-70))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1106 - Eureka Orthos (Deep Dungeons: Eureka Orthos (Floors 71-80))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1107 - Eureka Orthos (Deep Dungeons: Eureka Orthos (Floors 81-90))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1108 - Eureka Orthos (Deep Dungeons: Eureka Orthos (Floors 91-100))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1109 - The Great Gubal Library (Dungeons: The Great Gubal Library)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1110 - Aetherochemical Research Facility (Dungeons: The Aetherochemical Research Facility)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1111 - The Antitower (Dungeons: The Antitower)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1112 - Sohr Khai (Dungeons: Sohr Khai)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1113 - Xelphatol (Dungeons: Xelphatol)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1114 - Baelsar's Wall (Dungeons: Baelsar's Wall)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1115 - The Tower of Babil (Quest Battles: Generational Bonding)
    TerritoryInfo { parties_visible: false, map_visible: false }, // 1116 - The Clockwork Castletown
    TerritoryInfo { parties_visible: false, map_visible: false }, // 1117 - The Clockwork Castletown
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1118 - Euphrosyne (Raids: Euphrosyne)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1119 - Lapis Manalis
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1120 - Garlemald (Quest Battles: An Unforeseen Bargain)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1121
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1122 - The Interdimensional Rift (Ultimate Raids: The Omega Protocol (Ultimate))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1123 - The Shifting Gymnasion Agonon (Treasure Hunt: The Shifting Gymnasion Agonon)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1124 - Eureka Orthos
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1125 - Khadga
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1126 - The Aetherfont (Dungeons: The Aetherfont)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1127
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1128
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1129
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1130
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1131
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1132
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1133
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1134
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1135
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1136
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1137 - Mount Rokkon (V&C Dungeon Finder: Mount Rokkon)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1138
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1139
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1140 - The Voidcast Dais (Trials: The Voidcast Dais)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1141 - The Voidcast Dais (Trials: The Voidcast Dais (Extreme))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1142 - The Sirensong Sea (Dungeons: The Sirensong Sea)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1143 - Bardam's Mettle (Dungeons: Bardam's Mettle)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1144 - Doma Castle (Dungeons: Doma Castle)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1145 - Castrum Abania (Dungeons: Castrum Abania)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1146 - Ala Mhigo (Dungeons: Ala Mhigo)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1147 - The Aetherial Slough (Raids: Anabaseios: The Ninth Circle)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1148 - The Aetherial Slough (Raids: Anabaseios: The Ninth Circle (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1149 - The Dæmons' Nest (Raids: Anabaseios: The Tenth Circle)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1150 - The Dæmons' Nest (Raids: Anabaseios: The Tenth Circle (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1151 - The Chamber of Fourteen (Raids: Anabaseios: The Eleventh Circle)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1152 - The Chamber of Fourteen (Raids: Anabaseios: The Eleventh Circle (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1153 - Ascension (Raids: Anabaseios: The Twelfth Circle)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1154 - Ascension (Raids: Anabaseios: The Twelfth Circle (Savage))
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1155 - Another Mount Rokkon (V&C Dungeon Finder: Another Mount Rokkon)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1156 - Another Mount Rokkon (V&C Dungeon Finder: Another Mount Rokkon (Savage))
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1157
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1158 - The Dæmons' Nest
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1159 - The Voidcast Dais
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1160 - Senatus
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1161 - Estinien's Chambers
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1162 - The Red Moon
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1163 - The Endeavor (Disciples of the Land: Ocean Fishing)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1164 - The Lunar Subterrane (Dungeons: The Lunar Subterrane)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1165
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1166
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1167
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1168 - The Abyssal Fracture (Trials: The Abyssal Fracture)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1169 - The Abyssal Fracture (Trials: The Abyssal Fracture (Extreme))
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1170
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1171
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1172 - The Drowned City of Skalla (Instance)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1173 - The Burn (Dungeons: The Burn)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1174 - The Ghimlyt Dark (Dungeons: The Ghimlyt Dark)
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1175 - Singularity Reactor (Trials: The Singularity Reactor (Unreal))
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1176
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1177
    TerritoryInfo { parties_visible: true, map_visible: true }, // 1178 - Thaleia (Raids: Thaleia)
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1179
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1180
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1181 - The Abyssal Fracture
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1182 - Thaleia
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1183
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1184 - The Lunar Subterrane
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1185
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1186
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1187
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1188
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1189
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1190
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1191
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1192
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1193
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1194
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1195
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1196
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1197
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1198
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1199
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1200
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1201
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1202
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1203
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1204
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1205
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1206
    TerritoryInfo { parties_visible: false, map_visible: true }, // 1207
];
